Bug 1126475 - [abrt] gnome-disk-utility: _g_log_abort(): gnome-disks killed by SIGABRT
Summary: [abrt] gnome-disk-utility: _g_log_abort(): gnome-disks killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6f5a224ed20c10ce36c709fa628...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 14:01 UTC by Moez Roy
Modified: 2015-06-29 21:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:56:03 UTC


Attachments (Terms of Use)
File: backtrace (32.42 KB, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: core_backtrace (10.38 KB, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: dso_list (8.39 KB, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: environ (1.40 KB, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: maps (40.06 KB, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: open_fds (779 bytes, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: smart_data (3 bytes, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details
File: var_log_messages (572 bytes, text/plain)
2014-08-04 14:01 UTC, Moez Roy
no flags Details

Description Moez Roy 2014-08-04 14:01:20 UTC
Version-Release number of selected component:
gnome-disk-utility-3.10.0-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-disks
crash_function: _g_log_abort
executable:     /usr/bin/gnome-disks
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 on_job_cancel_button_clicked at gduwindow.c:4988
 #6 _g_closure_invoke_va at gclosure.c:840
 #9 gtk_real_button_released at gtkbutton.c:2106
 #14 gtk_button_button_release at gtkbutton.c:1938
 #15 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #16 _g_closure_invoke_va at gclosure.c:840
 #19 gtk_widget_event_internal at gtkwidget.c:7168
 #20 gtk_widget_event at gtkwidget.c:6830
 #21 propagate_event_up at gtkmain.c:2391

Comment 1 Moez Roy 2014-08-04 14:01:22 UTC
Created attachment 923881 [details]
File: backtrace

Comment 2 Moez Roy 2014-08-04 14:01:23 UTC
Created attachment 923882 [details]
File: cgroup

Comment 3 Moez Roy 2014-08-04 14:01:24 UTC
Created attachment 923883 [details]
File: core_backtrace

Comment 4 Moez Roy 2014-08-04 14:01:24 UTC
Created attachment 923884 [details]
File: dso_list

Comment 5 Moez Roy 2014-08-04 14:01:25 UTC
Created attachment 923885 [details]
File: environ

Comment 6 Moez Roy 2014-08-04 14:01:26 UTC
Created attachment 923886 [details]
File: limits

Comment 7 Moez Roy 2014-08-04 14:01:26 UTC
Created attachment 923887 [details]
File: maps

Comment 8 Moez Roy 2014-08-04 14:01:27 UTC
Created attachment 923888 [details]
File: open_fds

Comment 9 Moez Roy 2014-08-04 14:01:28 UTC
Created attachment 923889 [details]
File: proc_pid_status

Comment 10 Moez Roy 2014-08-04 14:01:28 UTC
Created attachment 923890 [details]
File: smart_data

Comment 11 Moez Roy 2014-08-04 14:01:29 UTC
Created attachment 923891 [details]
File: var_log_messages

Comment 12 Bernhard Schuster 2014-11-01 11:00:36 UTC
Another user experienced a similar problem:

Canceling a partition creation (LUKS + ext4) causes disk-util to crash.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-disks
crash_function: _g_log_abort
executable:     /usr/bin/gnome-disks
kernel:         3.16.6-203.fc20.x86_64
package:        gnome-disk-utility-3.10.0-3.fc20
reason:         gnome-disks killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 12:33:38 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:56:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.